com.smartgwt.client.bean.types

## Class ArrayValueType<ValueType>

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<ValueType>
  - - com.smartgwt.client.bean.types.ArrayValueType<ValueType>

- Direct Known Subclasses:
    NonPrimitiveArrayValueType, PBooleanArrayValueType, PDoubleArrayValueType, PFloatArrayValueType, PIntegerArrayValueType, PLongArrayValueType

      public abstract class ArrayValueType<ValueType>
      extends BeanValueType<ValueType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayValueType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanValueType.Convertability` | `convertabilityFrom(java.lang.Object value)`
    `protected BeanValueType.Convertability` | `convertabilityFromPrimitiveArray(java.lang.Object primitiveArray)`
    `protected BeanValueType.Convertability` | `convertabilityToComponentType(java.lang.Object value)`
    `protected ValueType` | `convertFrom(boolean[] array)`
    `protected ValueType` | `convertFrom(double[] array)`
    `protected ValueType` | `convertFrom(float[] array)`
    `protected ValueType` | `convertFrom(int[] array)`
    `protected ValueType` | `convertFrom(long[] array)`
    `ValueType` | `convertFrom(java.lang.Object value)`
    `protected abstract ValueType` | `convertFrom(java.lang.Object[] array)`
    `protected ValueType` | `convertFromPrimitiveArray(java.lang.Object array)`
    `protected java.lang.Class` | `getComponentType()`
    `protected BeanValueType` | `getComponentValueType()`
    `protected boolean` | `isAssignableFrom(java.lang.Object value)`
    `protected BeanValueType.Convertability` | `leastConvertabilityToComponentType(java.lang.Object[] array)`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, getValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayValueType

          public ArrayValueType()

  - ### Method Detail

    - #### isAssignableFrom

          protected boolean isAssignableFrom(java.lang.Object value)

      Specified by:
        `isAssignableFrom` in class `BeanValueType<ValueType>`

    - #### getComponentType

          protected java.lang.Class getComponentType()

    - #### getComponentValueType

          protected BeanValueType getComponentValueType()

    - #### convertabilityToComponentType

          protected BeanValueType.Convertability convertabilityToComponentType(java.lang.Object value)

    - #### leastConvertabilityToComponentType

          protected BeanValueType.Convertability leastConvertabilityToComponentType(java.lang.Object[] array)

    - #### convertabilityFromPrimitiveArray

          protected BeanValueType.Convertability convertabilityFromPrimitiveArray(java.lang.Object primitiveArray)

    - #### convertabilityFrom

          public BeanValueType.Convertability convertabilityFrom(java.lang.Object value)

      Overrides:
        `convertabilityFrom` in class `BeanValueType<ValueType>`

    - #### convertFrom

          protected abstract ValueType convertFrom(java.lang.Object[] array)

    - #### convertFrom

          protected ValueType convertFrom(boolean[] array)

    - #### convertFrom

          protected ValueType convertFrom(double[] array)

    - #### convertFrom

          protected ValueType convertFrom(float[] array)

    - #### convertFrom

          protected ValueType convertFrom(int[] array)

    - #### convertFrom

          protected ValueType convertFrom(long[] array)

    - #### convertFromPrimitiveArray

          protected ValueType convertFromPrimitiveArray(java.lang.Object array)

    - #### convertFrom

          public ValueType convertFrom(java.lang.Object value)

      Overrides:
        `convertFrom` in class `BeanValueType<ValueType>`